From ad68ecee0e3f0ed523f74fb0cd1680ff55374d55 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 21 2016 20:03:25 +0000
Subject: [PATCH 404/1001] Add endpoint to delete a widget from a hub


---

diff --git a/hubs/app.py b/hubs/app.py
index 8fb079b..3b60380 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -201,6 +201,22 @@ def widget_edit_post(hub, idx):
     return flask.redirect(flask.url_for('hub', name=hub))
 
 
+@app.route('/<hub>/<idx>/delete/', methods=['POST'])
+@app.route('/<hub>/<idx>/delete', methods=['POST'])
+def widget_edit_delete(hub, idx):
+    ''' Remove a widget from a hub. '''
+    widget = get_widget(session, hub, idx)
+    session.delete(widget)
+    try:
+        session.commit()
+    except Exception as err:
+        flask.flash(
+            'Could not delete this widget from this hub in the database '\
+            'if the error persists, please warn an admin',
+            'error')
+    return flask.redirect(flask.url_for('hub', name=hub))
+
+
 @app.route('/source/<name>/')
 @app.route('/source/<name>')
 def widget_source(name):

